# pragma	once
# include	<CStandardApplication.h>
# include	<ICAPI.h>

class CFingerApplication : public CStandardApplication
{
protected:
	bool			mReceivedValidRefs;
	ICInstance*		mIC;

public:
					CFingerApplication( );
					~CFingerApplication( );
					
	virtual void	MessageReceived( BMessage* inMessage );
	virtual void	ArgvReceived( int argc, char** argv );
	virtual void	AboutRequested( );
	virtual void	RefsReceived( BMessage* inMessage );
	virtual void	ReadyToRun( );

	void			InitMainMenu( );
	void			InitFingerTable( );
	void			TestDisplayURL( );
	void			NewFinger( );
	
	void			DisplayURL( const char* inURL );
};

enum /* Messages */ {
	MSG_NEW_FINGER 			= 'nfng',
	MSG_TEST_DISPLAY_URL	= 'turl',
	IC_DISPLAY_URL			= '_URL'
};

# define FINGERABLE_USER_TABLE ("FingerableUser")