# pragma	once
# include	<CStandardWindow.h>
# include	<stringclass.h>
# include	<ErrorUtilities.h>
# include	<CStaggeredWindowArranger.h>

class CPlanWindow : public CStandardWindow
{
private:
	BTextView*		mPlanView;
	BScrollView*	mScrollView;

	BMenuBar*		mMenuBar;
	BPopUpMenu*		mShortcutMenu;
	int				mMenuHeight;
	
	string			mUser;
	string			mHost;
	string			mRealName;

	void			RecalculateWindowSize( );
	void			InitializeMenus( );

	void			CopyAll( );
	void			SaveACopyAs( );
	void			SaveACopyAsRequested( BMessage* inMessage );
	void			FingerOther( );

	virtual void	MessageReceived( BMessage* inMessage );
	virtual bool	FilterMouseDown( BPoint inWhere, BView** inView );
	
	static CStaggeredWindowArranger mArranger;

public:
					CPlanWindow(
						const char*	inPlan,
						int			inPlanLength,
						const char* inUserName,
						const char* inHostName,
						const char* inRealName );
					~CPlanWindow( );
};

